<template>
    <div v-if="visible" class="modal">
        <div class="modal-content">
            <span class="close" @click="hideModal">&times;</span>
            <p>{{ message }}</p>
            <button @click="confirmAction">Да, удалить</button>
            <button @click="hideModal">Отмена</button>
        </div>
    </div>
</template>

<script>
import { ref } from 'vue';

export default {
    props: {
        message: {
            type: String,
            required: true
        },
        action: {
            type: Function,
            required: true
        },
        visible: {
            type: Boolean,
            required: true
        }
    },
    setup(props, { emit }) {
        const hideModal = () => {
            emit('update:visible', false);
        };

        const confirmAction = () => {
            props.action();
            hideModal();
        };

        return {
            hideModal,
            confirmAction
        };
    }
};
</script>

<style scoped>
.modal {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
}
.modal-content {
    background-color: white;
    padding: 20px;
    border-radius: 4px;
    position: relative;
}
.close {
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
}
</style>
